# Uses of Interface
javax.lang.model.type.DeclaredType

Packages that use DeclaredType
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

- ## Uses of DeclaredType in com.sun.source.util

  Methods in com.sun.source.util with parameters of type DeclaredType
  Modifier and Type
  Method
  Description
  `abstract boolean`
  Trees.`isAccessible(Scope scope, Element member, DeclaredType type)`
  Checks whether the given element is accessible as a member of the given type in a given scope.

- ## Uses of DeclaredType in javax.lang.model.element

  Methods in javax.lang.model.element that return DeclaredType
  Modifier and Type
  Method
  Description
  `DeclaredType`
  AnnotationMirror.`getAnnotationType()`
  Returns the type of this annotation.

- ## Uses of DeclaredType in javax.lang.model.type

  Subinterfaces of DeclaredType in javax.lang.model.type
  Modifier and Type
  Interface
  Description
  `interface`
  `ErrorType`
  Represents a class or interface type that cannot be properly modeled.
  Methods in javax.lang.model.type with parameters of type DeclaredType
  Modifier and Type
  Method
  Description
  `R`
  TypeVisitor.`visitDeclared(DeclaredType t, P p)`
  Visits a declared type.

- ## Uses of DeclaredType in javax.lang.model.util

  Methods in javax.lang.model.util that return DeclaredType
  Modifier and Type
  Method
  Description
  `DeclaredType`
  Types.`getDeclaredType(TypeElement typeElem, TypeMirror... typeArgs)`
  Returns the type corresponding to a type element and actual type arguments.
  `DeclaredType`
  Types.`getDeclaredType(DeclaredType containing, TypeElement typeElem, TypeMirror... typeArgs)`
  Returns the type corresponding to a type element and actual type arguments, given a containing type of which it is a member.
  Methods in javax.lang.model.util with parameters of type DeclaredType
  Modifier and Type
  Method
  Description
  `TypeMirror`
  Types.`asMemberOf(DeclaredType containing, Element element)`
  Returns the type of an element when that element is viewed as a member of, or otherwise directly contained by, a given type.
  `DeclaredType`
  Types.`getDeclaredType(DeclaredType containing, TypeElement typeElem, TypeMirror... typeArgs)`
  Returns the type corresponding to a type element and actual type arguments, given a containing type of which it is a member.
  `R`
  SimpleTypeVisitor6.`visitDeclared(DeclaredType t, P p)`
  Visits a declared type.